Skip to main content
POST
/
data
/
drift-configs
Create drift configuration
curl --request POST \
  --url https://acusight.io/api/data/drift-configs \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "box_ratio_threshold": 123,
  "box_size_threshold": 123,
  "brightness_threshold": 123,
  "check_box_quality": true,
  "check_confidence": true,
  "check_detections": true,
  "check_image_props": true,
  "check_psi": true,
  "confidence_threshold": 123,
  "contrast_threshold": 123,
  "detections_max": 123,
  "detections_min": 123,
  "device_id": "<string>",
  "epsilon": 123,
  "fleet_id": 123,
  "model_version_id": 123,
  "name": "<string>",
  "psi_high_threshold": 123,
  "psi_warn_threshold": 123,
  "saturation_threshold": 123
}
'
{
  "data": "<unknown>",
  "error": {
    "code": "<string>",
    "details": "<string>",
    "message": "<string>"
  },
  "meta": {
    "count": 123,
    "limit": 123,
    "offset": 123,
    "total": 123
  },
  "success": true
}

Authorizations

Authorization
string
header
required

JWT access token. Paste the token only; the Bearer prefix is added automatically.

Body

application/json

Drift config to create

box_ratio_threshold
number
box_size_threshold
number
brightness_threshold
number
check_box_quality
boolean
check_confidence
boolean
check_detections
boolean
check_image_props
boolean
check_psi
boolean

Enable/disable checks

confidence_threshold
number
contrast_threshold
number
detections_max
integer
detections_min
integer
device_id
string
epsilon
number
fleet_id
integer
model_version_id
integer

Exactly one of these must be set

name
string
psi_high_threshold
number

Thresholds (null = inherit from parent)

psi_warn_threshold
number
saturation_threshold
number

Response

Created drift config

data
any
error
object
meta
object
success
boolean